
<script lang='ts'>

    async function f(){
        console.log(await fetch('/navigation', {method: 'POST'}))
    }

</script>
<p>press this button to fetch new routes</p>
<button on:click={f}>
    click

</button>